{% extends 'SyliusWebBundle:Backend:layout.html.twig' %}

{% from 'SyliusResourceBundle:Macros:actions.html.twig' import update %}

{% block topbar %}
    <ol class="breadcrumb">
        <li>{{ 'sylius.breadcrumb.assortment'|trans }}</li>
        <li><a href="{{ path('elbotrade_gallery_backend_list') }}">Gallerys</a></li>
        <li>{{ 'sylius.breadcrumb.update'|trans }}</a></li>
    </ol>
{% endblock %}

{% block stylesheets %}
    {{ parent() }}

    <style type="text/css">
        .item .overlay {
            position: absolute;
            top: 0;
            left: 0;
            width: 108%;
            height: 97.5%;
            background-color: rgba(255, 255, 255, 0);
            padding: 20% 17%;
            -webkit-transition: background-color 0.3s ease-in-out 0s;
            /* Safari */
            transition: background-color 0.3s ease-in-out 0s;
        }

        .item .overlay a {
            font-size: 3em;
            opacity: 0;
            color: #000000;
        }

        .item .overlay a:hover {
            color: #7c7c7c;
            text-decoration: none;
        }

        .item:hover .overlay {
            background-color: rgba(255, 255, 255, 0.7);
        }

        .item:hover .overlay a {
            opacity: 1;
        }
    </style>
{% endblock %}

{% block content %}
    <div class="page-header">
        <h1><i class="glyphicon glyphicon-plus"></i> Update gallery</h1>
    </div>

    {{ form_errors(form) }}

    <div class="row">
        {{ form_start(form, {'class': 'form-horizontal', 'method': 'POST', 'name': 'updateGallery', 'attr': {'id': 'updateGallery'}}) }}
        <div class="col-md-6">
            <table class="table table-bordered">
                <thead>
                <tr>
                    <th colspan="2">{{ 'sylius.order.general_info'|trans }}</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td>{{ form_row(form.name) }}</td>
                </tr>
                <tr>
                    <td>{{ form_row(form.context) }}</td>
                </tr>
                <tr>
                    <td>{{ form_row(form.enabled) }}</td>
                </tr>
                <tr>
                    <td>{{ form_row(form.media) }}</td>
                </tr>
                </tbody>
            </table>
        </div>

        <div class="col-md-6">
            <table class="table table-bordered">
                <thead>
                <tr>
                    <th colspan="2">Media</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td>
                        {% for galleryHasMedia in galleryHasMedias %}
                            <div class="col-sm-2 item" id="{{ galleryHasMedia.id }}">
                                {% thumbnail galleryHasMedia.media, 'small' %}
                                <div class="pull-left overlay">
                                    <a class="glyphicon glyphicon-eye-open fancybox"
                                       href="{% path galleryHasMedia.media, 'big' %}"></a>
                                    <a class="glyphicon glyphicon-remove" data-gallery-id="{{ galleryHasMedia.id }}" data-media-id="{{ galleryHasMedia.media.id }}"
                                       href="javascript:void(0)"></a>
                                </div>
                            </div>
                        {% endfor %}
                    </td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            {{ update() }}
        </div>
        {{ form_end(form) }}
    </div>
{% endblock %}

{% block javascripts %}
    <script src="{{ asset('bundles/elbotradelayout/js/jquery.js') }}"></script>
    <script src="{{ asset('bundles/elbotradelayout/js/jquery.fancybox.js') }}"></script>
    <link rel="stylesheet" href="{{ asset('bundles/elbotradelayout/css/jquery.fancybox.css') }}" type="text/css">
    <script type="text/javascript">
        $(document).ready(function () {
            $('.fancybox').fancybox();

            $('.glyphicon-remove').on('click', function() {
                var galleryHasMediaId = $(this).data('gallery-id');
                var mediaId = $(this).data('media-id');
                var path = "{{ path('elbotrade_gallery_backend_remove_media_from_gallery', {'mediaId': 'mediaId', 'galleryHasMediaId': 'galleryHasMediaId'}) }}";
                path = path.replace("galleryHasMediaId", galleryHasMediaId);
                path = path.replace("mediaId", mediaId);

                var answer = confirm('Do you want to delete image with ID: ' + mediaId);
                if (answer) {
                    $.ajax({
                        type: "POST",
                        url: path,
                        cache: "false",
                        dataType: "html"
                    }).success(function() {
                        $('#' + galleryHasMediaId).remove();
                    })
                }

            });
        })
    </script>
{% endblock %}